Bug 115336 - port multimedia/avifile on FreeBSD 7.0 not BROKEN with GCC=3.4
Summary: port multimedia/avifile on FreeBSD 7.0 not BROKEN with GCC=3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-09 06:50 UTC by douglas steinawnd
Modified: 2008-07-10 00:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description douglas steinawnd 2007-08-09 06:50:00 UTC
The avifile port will compile using GCC=3.4. Edit multimedia/avifile/Makefile,v 1.70:

.if ${OSVERSION} >= 700000
USE_GCC=        3.4
.endif

However, with this in effect, I also had to edit ffmpeg/libavcodec/ppc/Makefile and add --tag=gcc for libtool:

LINK = $(LIBTOOL) --tag=gcc --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@

There's probably a better way to do this last bit (via a Makefile setting or patch).

Fix: 

Remove BROKEN, replace with USE_GCC=3.4, add libtool tag argument in pcc/Makefile.
Comment 1 Edwin Groothuis freebsd_committer 2007-08-09 13:39:48 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Felippe de Meirelles Motta freebsd_committer 2008-06-22 00:37:40 UTC
State Changed
From-To: feedback->open

Feedback timeout.
Comment 3 Pietro Cerutti freebsd_committer 2008-07-09 14:05:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gahr

q
Comment 4 dfilter service freebsd_committer 2008-07-09 23:51:12 UTC
gahr        2008-07-09 22:51:03 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/avifile   Makefile 
  Log:
  - Unbreak on > 700000 (add dependency on GCC 3.4)
  
  PR:             115336
  Submitted by:   douglas steinwand <dzs-pr@dzs.fx.org>
  Approved by:    maintainer timeout (11 months)
  
  Revision  Changes    Path
  1.76      +5 -1      ports/multimedia/avifile/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Pietro Cerutti freebsd_committer 2008-07-09 23:51:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!